%define _enable_debug_packages %{nil}
%define debug_package    %{nil}
%define upstream_name    App-ClusterSSH
%define upstream_version 4.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A container for functions of the ClusterSSH programs
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

# Upstream patches
# Don't try to open a directory as the config file
Patch0:   https://github.com/duncs/clusterssh/pull/150.patch

Provides: clusterssh
Provides: ClusterSSH
Provides: %{upstream_name}
Provides: cssh

BuildRequires: perl(CPAN::Changes)
BuildRequires: perl(Exception::Class)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Locale::Maketext)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Perl::Tidy)
BuildRequires: perl(Readonly)
BuildRequires: perl(Sort::Naturally)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::DistManifest)
BuildRequires: perl(Test::PerlTidy)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Test::Trap)
BuildRequires: perl(Tk)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(X11::Protocol)
BuildRequires: perl(X11::Protocol::WM)
BuildRequires: perl(version)
BuildRequires: perl(Module::Build::Compat)
Requires: openssh-clients
Requires: xterm
BuildArch: noarch

%description
This tool is intended for (but not limited to) cluster administration
where the same configuration or commands must be run on each node within
the cluster. Performing these commands all at once via this tool ensures
all nodes are kept in sync.

Connections are opened using ssh which must be correctly installed and
configured.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
rm -f %{_builddir}/%{upstream_name}-%{upstream_version}/*list
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc AUTHORS Changes INSTALL MYMETA.* META.yml README THANKS TODO
%{_bindir}/ccon
%{_bindir}/clusterssh_bash_completion.dist
%{_bindir}/crsh
%{_bindir}/csftp
%{_bindir}/cssh
%{_bindir}/ctel
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*



%changelog
* Thu Jan 05 2023 kekepower <kekepower> 4.160.0-3.mga9
+ Revision: 1930028
- Add Pull Request gh#150
  o Don't try to open a directory as the config file

* Wed Mar 30 2022 umeabot <umeabot> 4.160.0-2.mga9
+ Revision: 1834663
- Mageia 9 Mass Rebuild

* Sun Jun 21 2020 kekepower <kekepower> 4.160.0-1.mga8
+ Revision: 1598203
- Update to version 4.16

* Thu May 28 2020 kekepower <kekepower> 4.150.0-2.mga8
+ Revision: 1588673
- Add patch to fix missing space separator for ssh_args
 o https://github.com/duncs/clusterssh/pull/133

* Mon May 18 2020 kekepower <kekepower> 4.150.0-1.mga8
+ Revision: 1586051
- Update to version 4.15

* Sat Feb 15 2020 umeabot <umeabot> 4.140.0-2.mga8
+ Revision: 1528540
- Mageia 8 Mass Rebuild

* Sat Aug 24 2019 kekepower <kekepower> 4.140.0-1.mga8
+ Revision: 1431545
- Update to version 4.14

* Thu Sep 20 2018 umeabot <umeabot> 4.13.2-4.mga7
+ Revision: 1281629
- Mageia 7 Mass Rebuild

* Mon Mar 19 2018 kekepower <kekepower> 4.13.2-3.mga7
+ Revision: 1210378
- Add Requires for xterm
- Updated description

* Fri Mar 16 2018 kekepower <kekepower> 4.13.2-2.mga7
+ Revision: 1209987
- Added extra Provides for clusterssh and cssh

* Fri Mar 16 2018 kekepower <kekepower> 4.13.2-1.mga7
+ Revision: 1209981
- imported package perl-App-ClusterSSH

